/*******************************************************************************
*	ファイル名：MainFrm.h
*	用　　　途：メインフレームウィンドウクラス定義
*	備　　　考：
*	履　　　歴：
********************************************************************************/

/****************************
*	 コンパイル環境設定		*
****************************/
#pragma once

/****************************
*	インクルードファイル	*
****************************/
/****************************
*	　マクロ・定数定義		*
****************************/


/*******************************************************************************
*	ク ラ ス名：CMainFrame
*	用　　　途：メインフレームウィンドウクラス
*	備　　　考：
********************************************************************************/
class CMainFrame : public CFrameWnd
{
	
protected:
	//***** コンストラクタ・デストラクタ
							// ※隠蔽コンストラクタ (シリアル化からのみ作成します。)
								CMainFrame();
public:
	virtual					   ~CMainFrame();

public:
	//***** 公開インターフェイス

protected:
	//***** 動的生成マクロ
								DECLARE_DYNCREATE( CMainFrame )

public:
	//***** オーバーライド
	virtual BOOL				PreCreateWindow( CREATESTRUCT& cs ) ;

public:
	//***** デバッグ・正当性評価
#ifdef _DEBUG
	virtual void				AssertValid() const ;
	virtual void				Dump(CDumpContext& dc) const ;
#endif

protected:
	//***** 生成された、メッセージ割り当て関数

	afx_msg int					OnCreate( LPCREATESTRUCT lpCreateStruct ) ;
	afx_msg void				OnDestroy() ;
	afx_msg void				OnClose() ;
	afx_msg void				OnNcLButtonDblClk( UINT nHitTest, CPoint point ) ;
	afx_msg LRESULT				OnExitApp( WPARAM wParam, LPARAM lParam ) ;
	DECLARE_MESSAGE_MAP()

protected:
	//***** コントロール バー用メンバ

private:
	//***** 内部メンバー

private:
	//***** メンバー変数
			BOOL				m_bExtOnClose ;										// 外部からの強制終了指示フラグ
} ;


